# studio::EventStroke Struct Reference

`#include <state_stroke.h>`

List of all members.

## Public Member Functions

| EventStroke (etl::smart_ptr< std::list< synfig::Point > > stroke_data, etl::smart_ptr< std::list< synfig::Real > > width_data, Gdk::ModifierType modifier=Gdk::ModifierType(0))

## Public Attributes

etl::smart_ptr< std::list < synfig::Point > > | stroke_data
etl::smart_ptr< std::list < synfig::Real > > | width_data
Gdk::ModifierType | modifier

## Constructor & Destructor Documentation

studio::EventStroke::EventStroke | ( | etl::smart_ptr< std::list< synfig::Point > > | stroke_data,
|  | etl::smart_ptr< std::list< synfig::Real > > | width_data,
|  | Gdk::ModifierType | modifier = `Gdk::ModifierType(0)` |
| ) |  |  | `[inline]`

## Member Data Documentation

etl::smart_ptr<std::list<synfig::Point> > studio::EventStroke::stroke_data

etl::smart_ptr<std::list<synfig::Real> > studio::EventStroke::width_data

Gdk::ModifierType studio::EventStroke::modifier

The documentation for this struct was generated from the following file:

- state_stroke.h